User Tag List

Page 1 of 3 1 2 3 LastLast
Results 1 to 10 of 21

Thread: Problem building APK file

  1. #1
    Clicker Fusion 2.5Fusion 2.5+ DLCAndroid Export ModuleFirefly 3D Module

    Join Date
    Feb 2018
    Posts
    12
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    Problem building APK file

    I just installed the Android export module, and followed a slew of directions trying to figure out how to get this to work... Quiet franlkly I am just stuck...

    here is my latest error log:
    Code:
    Buildfile: C:\Users\Admin\AppData\Local\Temp\And435B.tmp\build.xml
    
    -set-mode-check:
    
    -set-debug-files:
    
    -check-env:
     [checkenv] Android SDK Tools Revision 24.4.1
     [checkenv] Installed at C:\Users\Admin\AppData\Local\Android\Sdk
    
    -setup:
         [echo] Project Name: RuntimeAndroid
      [gettype] Project Type: Application
    
    -set-debug-mode:
    
    -debug-obfuscation-check:
    
    -pre-build:
    
    -build-setup:
    [getbuildtools] Using latest Build Tools: 31.0.0
         [echo] Resolving Build Target for RuntimeAndroid...
    [gettarget] Project Target:   Android 8.1.0
    [gettarget] API level:        27
         [echo] ----------
         [echo] Creating output directories if needed...
        [mkdir] Created dir: C:\Users\Admin\AppData\Local\Temp\And435B.tmp\bin
        [mkdir] Created dir: C:\Users\Admin\AppData\Local\Temp\And435B.tmp\bin\res
        [mkdir] Created dir: C:\Users\Admin\AppData\Local\Temp\And435B.tmp\bin\rsObj
        [mkdir] Created dir: C:\Users\Admin\AppData\Local\Temp\And435B.tmp\bin\rsLibs
        [mkdir] Created dir: C:\Users\Admin\AppData\Local\Temp\And435B.tmp\gen
        [mkdir] Created dir: C:\Users\Admin\AppData\Local\Temp\And435B.tmp\bin\classes
        [mkdir] Created dir: C:\Users\Admin\AppData\Local\Temp\And435B.tmp\bin\dexedLibs
         [echo] ----------
         [echo] Resolving Dependencies for RuntimeAndroid...
    [dependency] Library dependencies:
    [dependency] No Libraries
    [dependency] 
    [dependency] ------------------
         [echo] ----------
         [echo] Building Libraries with 'debug'...
       [subant] No sub-builds to iterate on
    
    -code-gen:
    [mergemanifest] Merging AndroidManifest files into one.
    [mergemanifest] Manifest merger disabled. Using project manifest only.
         [echo] Handling aidl files...
         [aidl] No AIDL files to compile.
         [echo] ----------
         [echo] Handling RenderScript files...
         [echo] ----------
         [echo] Handling Resources...
         [aapt] Generating resource IDs...
         [echo] ----------
         [echo] Handling BuildConfig class...
    [buildconfig] Generating BuildConfig class.
    
    -pre-compile:
    
    -compile:
        [javac] Compiling 347 source files to C:\Users\Admin\AppData\Local\Temp\And435B.tmp\bin\classes
        [javac] error: Source option 5 is no longer supported. Use 6 or later.
        [javac] error: Target option 1.5 is no longer supported. Use 1.6 or later.
    
    BUILD FAILED
    C:\Users\Admin\AppData\Local\Android\Sdk\tools\ant\build.xml:716: The following error occurred while executing this line:
    C:\Users\Admin\AppData\Local\Android\Sdk\tools\ant\build.xml:730: Compile failed; see the compiler error output for details.
    
    Total time: 1 second
    I am using the latest Android Studio files and the Java folder that is included with it with the Android SDK Patch installed in the correct SDK folder.

    Please help?

  2. #2
    Forum Moderator Fusion 2.5 MacFusion 2.5 DeveloperAndroid Export ModuleHTML5 Export ModuleiOS Export Module
    Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Fusion 2.5+ DLC (Steam)Android Export Module (Steam)HTML5 Export Module (Steam)iOS Export Module (Steam)Universal Windows Platform Export Module (Steam)Firefly 3D Module (Steam)
    NaitorStudios's Avatar
    Join Date
    May 2010
    Location
    Brazil
    Posts
    774
    Mentioned
    9 Post(s)
    Tagged
    0 Thread(s)
    What do you have on Android minimum version and target version?

  3. #3
    Clicker Fusion 2.5Fusion 2.5+ DLCAndroid Export ModuleFirefly 3D Module

    Join Date
    Feb 2018
    Posts
    12
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    Quote Originally Posted by NaitorStudios View Post
    What do you have on Android minimum version and target version?
    I have the absolute bare minimum of 4.3

    and the target is set to 10

    the build aAPI is set to 27

  4. #4
    Forum Moderator Fusion 2.5 MacFusion 2.5 DeveloperAndroid Export ModuleHTML5 Export ModuleiOS Export Module
    Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Fusion 2.5+ DLC (Steam)Android Export Module (Steam)HTML5 Export Module (Steam)iOS Export Module (Steam)Universal Windows Platform Export Module (Steam)Firefly 3D Module (Steam)
    NaitorStudios's Avatar
    Join Date
    May 2010
    Location
    Brazil
    Posts
    774
    Mentioned
    9 Post(s)
    Tagged
    0 Thread(s)
    Did you downloaded the API 27 on Android Studio?

    The odd thing is that your error log uses a different design, which makes me think something else is off.
    It would be easier to help you on the Discord server.

  5. #5
    Clickteam Clickteam
    Fernando's Avatar
    Join Date
    Dec 2006
    Posts
    7,061
    Mentioned
    298 Post(s)
    Tagged
    4 Thread(s)
    looks like you are not using latest beta
    Regards,


    Fernando Vivolo

    ... new things are coming ...

  6. #6
    Forum Moderator Fusion 2.5 MacFusion 2.5 DeveloperAndroid Export ModuleHTML5 Export ModuleiOS Export Module
    Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Fusion 2.5+ DLC (Steam)Android Export Module (Steam)HTML5 Export Module (Steam)iOS Export Module (Steam)Universal Windows Platform Export Module (Steam)Firefly 3D Module (Steam)
    NaitorStudios's Avatar
    Join Date
    May 2010
    Location
    Brazil
    Posts
    774
    Mentioned
    9 Post(s)
    Tagged
    0 Thread(s)
    Your SDK build tools seems really outdated tho mine is 31.

  7. #7
    Clicker Fusion 2.5Fusion 2.5+ DLCAndroid Export ModuleFirefly 3D Module

    Join Date
    Feb 2018
    Posts
    12
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    Is Android 8.1 "Oreo" (Android SDK Platform 27) API 27? If so, then yes I have that installed. There's also some other API's installed including 26 and 31 :P

    @Fermando when you say the latest Beta, do you mean there's a latest Beta of Android Studio? Explain if you dont mind...

    I'll hop on over to Discord shortly. Is there an official Clickteam discord or would you prefer we swap handles?

  8. #8
    Clicker Fusion 2.5Fusion 2.5+ DLCAndroid Export ModuleFirefly 3D Module

    Join Date
    Feb 2018
    Posts
    12
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    forgive the typo in your name there Fernando... I cant seem to edit my posts in this forum for some reason... :P

  9. #9
    Clickteam Clickteam
    Fernando's Avatar
    Join Date
    Dec 2006
    Posts
    7,061
    Mentioned
    298 Post(s)
    Tagged
    4 Thread(s)
    Quote Originally Posted by Misterbull82 View Post
    Is Android 8.1 "Oreo" (Android SDK Platform 27) API 27? If so, then yes I have that installed. There's also some other API's installed including 26 and 31 :P

    @Fermando when you say the latest Beta, do you mean there's a latest Beta of Android Studio? Explain if you dont mind...

    I'll hop on over to Discord shortly. Is there an official Clickteam discord or would you prefer we swap handles?
    no the android studio, first google doesn't accept any apk target with lower than API 30

    but when you refer to fusion exporter ithe error mentioned is related to teh java used to build so are you using the java sdk that comes with android studio or you have a different version if so can you explain here which version you have installed
    Regards,


    Fernando Vivolo

    ... new things are coming ...

  10. #10
    Clicker Fusion 2.5Fusion 2.5+ DLCAndroid Export ModuleFirefly 3D Module

    Join Date
    Feb 2018
    Posts
    12
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    Quote Originally Posted by Fernando View Post
    no the android studio, first google doesn't accept any apk target with lower than API 30

    but when you refer to fusion exporter ithe error mentioned is related to teh java used to build so are you using the java sdk that comes with android studio or you have a different version if so can you explain here which version you have installed
    I am using the latest version of Android Studio (I think I am anyway, I downloaded it just the other day)

    Android Studio - Artic Fox | 2020.3.1 Patch 3

    And I'm using the Java version that came with it "JAVA_VERSION="11.0.10" <- that's from the "release" file in the jre folder

    I also used the android fusion patch from here (http://download.clickteam.com/files/android/AndroidSDKPatch.exe) and applied it to to the android SDK folder located in the "c:/user/appdata/android" (also where I have CT Fusion 2.5 directed)... before that I was getting the infamous "cannot find build.xml" error. :P

    I hope that answers some questions there

Page 1 of 3 1 2 3 LastLast

Similar Threads

  1. Issue building Android APK file
    By Baggins69 in forum Mac Export Module & Fusion MAC Editor
    Replies: 1
    Last Post: 30th August 2020, 12:49 PM
  2. Issues with building an apk file after update
    By AndyBazooka in forum Android Export Module 2.5
    Replies: 6
    Last Post: 20th August 2019, 02:52 PM
  3. Help building game into .apk file
    By Kilk1 in forum Android Export Module 2.5
    Replies: 76
    Last Post: 26th October 2018, 05:20 PM
  4. Replies: 2
    Last Post: 5th November 2017, 11:52 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •